package jp.gr.java_conf.coskx.multipleactivities;

import android.os.Bundle;
import android.util.Log;
import android.view.View;
import android.widget.Button;

import androidx.appcompat.app.AppCompatActivity;

public class Sub2Activity extends AppCompatActivity implements View.OnClickListener {
    private final String TAG = "COSKX : Sub2Activity";
    private int value;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        Log.i(TAG, "onCreate");
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sub_2);
        Button mButton = (Button) findViewById(R.id.ID_button_sub_2);
        mButton.setOnClickListener(Sub2Activity.this);
    }

    @Override
    public void onStart() {
        Log.i(TAG,"onStart");
        super.onStart();
    }

    @Override
    public void onResume() {
        Log.i(TAG,"onResume");
        super.onResume();
    }

    @Override
    public void onPause() {
        Log.i(TAG,"onPause");
        super.onPause();
    }

    @Override
    public void onStop() {
        Log.i(TAG,"onStop");
        super.onStop();
    }

    @Override
    public void onRestart(){
        super.onRestart();
        Log.i(TAG, "onRestart");
    }

    @Override
    public void onDestroy() {
        Log.i(TAG,"onDestroy");
        super.onDestroy();
    }

    @Override
    public void onClick(View v) {
        Log.i(TAG, "onClick");
        if (v != null) {
            if (v.getId() == R.id.ID_button_sub_2) {
                finish();
            }
        }
    }
}
